CacheElement (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.cache.configuration

## Class CacheElement

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheElement

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable
  Direct Known Subclasses:
    CacheConfig.AsyncEventQueue, DiskStoreType, GatewayReceiverConfig, Index, JndiBindingsType.JndiBinding, JndiBindingsType.JndiBinding.ConfigProperty, MemberConfig, Pdx, RegionConfig, RegionConfig.Index

      @Experimental
      public abstract class CacheElement
      extends Object
      implements Identifiable<String>, Serializable, JsonSerializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLUSTER`
    `protected List<String>` | `groups`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheElement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroup(String group)`
    `static <T extends Identifiable> boolean` | `exists(List<T> list, String id)`
    `static <T extends Identifiable> T` | `findElement(List<T> list, String id)`
    `String` | `getConfigGroup()` this returns a non-null value for cluster level element, it will return "cluster" for sure.
    `String` | `getGroup()` this returns the first group set by the user if no group is set, this returns null
    `List<String>` | `getGroups()`
    `static <T extends Identifiable> void` | `removeElement(List<T> list, String id)`
    `void` | `setGroup(String group)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `getId`

- - ### Field Detail

    - #### CLUSTER

          public static final String CLUSTER

      See Also:
        Constant Field Values

    - #### groups

          protected List<String> groups

  - ### Constructor Detail

    - #### CacheElement

          public CacheElement()

  - ### Method Detail

    - #### exists

          public static <T extends Identifiable> boolean exists(List<T> list,
                                                                String id)

    - #### findElement

          public static <T extends Identifiable> T findElement(List<T> list,
                                                               String id)

    - #### removeElement

          public static <T extends Identifiable> void removeElement(List<T> list,
                                                                    String id)

    - #### getConfigGroup

          public String getConfigGroup()

      this returns a non-null value for cluster level element, it will return "cluster" for sure.

    - #### getGroup

          public String getGroup()

      this returns the first group set by the user if no group is set, this returns null

    - #### setGroup

          public void setGroup(String group)

    - #### getGroups

          public List<String> getGroups()

    - #### addGroup

          public void addGroup(String group)